xine-lib: dvbsub_func_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Data Fields
dvbsub_func_t Struct Reference

## Data Structures
struct | _lut_group_s

## Data Fields
int | x
int | y
unsigned int | curr_obj
unsigned int | curr_reg [64]
uint8_t * | buf
int | i
int | i_bits
int | compat_depth
page_t | page
dds_t | dds
uint32_t | region_num
uint8_t | region_ids [256]
int64_t | region_vpts [16]
region_t | regions [16]
clut_union_t | colours [16 *256]
uint8_t | trans [16 *256]
uint8_t | clut_cm [16]
int | clut_gen [16+1]
uint32_t | clut_num
uint8_t | clut_ids [256]
struct dvbsub_func_t::_lut_group_s | lut [16]
sparse_array_t | object_pos

## Field Documentation

## ◆ buf

uint8_t* dvbsub_func_t::buf

Referenced by decode_8bit_pixel_code_string(), next_datum(), process_alt_CLUT_segment(), process_CLUT_definition_segment(), process_display_definition_segment(), process_object_data_segment(), process_page_composition_segment(), process_pixel_data_sub_block(), and process_region_composition_segment().

## ◆ clut_cm

uint8_t dvbsub_func_t::clut_cm[16]

Referenced by _clut_reset(), process_alt_CLUT_segment(), and process_CLUT_definition_segment().

## ◆ clut_gen

int dvbsub_func_t::clut_gen[16+1]

Referenced by _clut_reset(), process_alt_CLUT_segment(), and process_CLUT_definition_segment().

## ◆ clut_ids

uint8_t dvbsub_func_t::clut_ids[256]

Referenced by _clut_find(), and _clut_init().

## ◆ clut_num

uint32_t dvbsub_func_t::clut_num

Referenced by _clut_find(), and _clut_init().

## ◆ colours

clut_union_t dvbsub_func_t::colours[16 *256]

Referenced by _clut_find(), _clut_reset(), process_alt_CLUT_segment(), and process_CLUT_definition_segment().

## ◆ compat_depth

int dvbsub_func_t::compat_depth

Referenced by lookup_lut(), and process_region_composition_segment().

## ◆ curr_obj

unsigned int dvbsub_func_t::curr_obj

Referenced by process_object_data_segment().

## ◆ curr_reg

unsigned int dvbsub_func_t::curr_reg[64]

## ◆ dds

dds_t dvbsub_func_t::dds

Referenced by process_display_definition_segment().

## ◆ i

int dvbsub_func_t::i

Referenced by decode_2bit_pixel_code_string(), decode_4bit_pixel_code_string(), decode_8bit_pixel_code_string(), next_datum(), process_alt_CLUT_segment(), process_CLUT_definition_segment(), process_display_definition_segment(), process_object_data_segment(), process_page_composition_segment(), process_pixel_data_sub_block(), and process_region_composition_segment().

## ◆ i_bits

int dvbsub_func_t::i_bits

Referenced by decode_2bit_pixel_code_string(), decode_4bit_pixel_code_string(), and next_datum().

## ◆ lut

struct dvbsub_func_t::_lut_group_s dvbsub_func_t::lut[ 16 ]

Referenced by _clut_reset(), lookup_lut(), and process_pixel_data_sub_block().

## ◆ object_pos

sparse_array_t dvbsub_func_t::object_pos

Referenced by process_object_data_segment(), and process_region_composition_segment().

## ◆ page

page_t dvbsub_func_t::page

Referenced by process_object_data_segment(), process_page_composition_segment(), and process_region_composition_segment().

## ◆ region_ids

uint8_t dvbsub_func_t::region_ids[256]

Referenced by _region_find(), and _region_init().

## ◆ region_num

uint32_t dvbsub_func_t::region_num

Referenced by _region_find(), _region_init(), process_object_data_segment(), and process_page_composition_segment().

## ◆ region_vpts

int64_t dvbsub_func_t::region_vpts[16]

## ◆ regions

region_t dvbsub_func_t::regions[16]

Referenced by plot(), process_object_data_segment(), process_page_composition_segment(), and process_region_composition_segment().

## ◆ trans

uint8_t dvbsub_func_t::trans[16 *256]

## ◆ x

int dvbsub_func_t::x

Referenced by plot(), and process_pixel_data_sub_block().

## ◆ y

int dvbsub_func_t::y

Referenced by plot(), and process_pixel_data_sub_block().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/spu_dec/spudvb_decoder.c